package org.lucci.madhoc.broadcast;

import org.lucci.madhoc.messaging.Message;

/*
 * Created on Aug 12, 2004
 */

/**
 * @author luc.hogie
 */
public class LocalInfo
{
	public Object object;
	public Message message;
	public BroadcastInformation broadcastInformation;
	public int emissionCount = 0;
	public int redundantReceptionCount = 0;
	public double retransmissionDate = -1;
	public int sendStrategy = NOT_SENT;
	
	public final static int NOT_SENT = 0;
	public final static int REACTIVE = 1;
	public final static int PROACTIVE = 2;

	
	// -1 = dunno, 0 = no, 1 = yes
	public int decision = -1;
	
	public int getSizeInBytes()
	{
		return 4 + 4 + 4 + 4 + 1;
	}
}
