package org.lucci.madhoc.broadcast.batch;

/*
 * Created on Jan 19, 2005
 */

/**
 * @author luc.hogie
 */
public class AvgAndStandDev
{
	private double value;
	private double standardDeviation;
	
	public AvgAndStandDev()
	{
		this(0, 0);
	}
	
	public AvgAndStandDev(double v, double s)
	{
		setValue(v);
		setStandardDeviation(s);
	}
	
	public double getStandardDeviation()
	{
		return standardDeviation;
	}
	public void setStandardDeviation(double standardDeviation)
	{
		this.standardDeviation = standardDeviation;
	}
	public double getValue()
	{
		return value;
	}
	public void setValue(double value)
	{
		this.value = value;
	}
	
	/**
	 * This method is used by Function#toGNUPlotText
	 */
	public String toString()
	{
		return value + "\t" + standardDeviation; 
	}
}
