package org.lucci.madhoc.broadcast.discrete_event;

import java.util.List;

import org.lucci.madhoc.simulation.discrete_event.DiscreteEvent;



/*
 * Created on Aug 11, 2004
 */

/**
 * @author luc.hogie
 */
public class BroadcastEvent extends DiscreteEvent
{
	private int ad = -1;
	private int station = -1;

	public int getStation()
	{
		return station;
	}
	public void setStation(int station)
	{
		this.station = station;
	}
	public int getAd()
	{
		return ad;
	}
	public void setAd(int ad)
	{
		this.ad = ad;
	}

	public List getTextElements()
	{
		List list = super.getTextElements();
		list.add(String.valueOf(getAd()));
		list.add(String.valueOf(getStation()));
		return list;
	}

	public List getTextElementsExplanation()
	{
		List list = super.getTextElementsExplanation();
		list.add("the id of the ad");
		list.add("the station");
		return list;
	}
}
