package org.lucci.madhoc.broadcast.impl.research.dfcn.test;

import org.lucci.madhoc.network.util.Graph;

/*
 * Created on Apr 1, 2005
 */

/**
 * @author luc.hogie
 */
public class SelfAdaptativeSDFCN extends SDFCN
{

	public SelfAdaptativeSDFCN(double threshold)
	{
		super(threshold);
	}
	
	public double getAcceptableBenefit()
	{
		return super.getAcceptableBenefit() / getDensityRatio();
	}
	
	private double getDensityRatio()
	{
		double degree = getComputer().getNeighborhood().size();
		return degree / Graph.getAverageDegree(getComputer().getNetwork());
	}
}
