/*
 * Created on Mar 29, 2004
 */
package org.lucci.madhoc.broadcast.impl.standard;

import org.lucci.madhoc.broadcast.LocalInfo;
import org.lucci.madhoc.broadcast.RandomDelayBasedBroadcastingProtocol;
import org.lucci.madhoc.messaging.Message;
import org.lucci.madhoc.messaging.TransferableObject;


public class SimpleFlooding extends RandomDelayBasedBroadcastingProtocol
{
	public String getName()
	{
		return "simple flooding";
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.broadcast.BroadcastingProtocol#adJustBeingSent(org.lucci.madhoc.broadcast.Ad)
	 */
	protected void messageJustBeingSent(Message ad)
	{
	}


	/* (non-Javadoc)
	 * @see org.lucci.madhoc.broadcast.BroadcastingProtocol#isMultipleRebroadcastAllowed()
	 */
	public boolean isMultipleRebroadcastAllowed()
	{
		return false;
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.broadcast.RandomDelayBasedBroadcastingProtocol#takeDecision(org.lucci.madhoc.broadcast.BroadcastMessage)
	 */
	protected void takeDecision(TransferableObject object)
	{
		LocalInfo info = getLocalInfo(object);
		info.decision = 1;
	}
}
