package org.lucci.madhoc.network.env.mall.monitor;

import org.lucci.madhoc.simulation.Monitor;


/*
 * Created on Jul 2, 2004
 */

/**
 * @author luc.hogie
 */
public class MallMobilityMonitor extends Monitor
{
	public MallMobilityMonitor()
	{
		addMeasure(new NumberOfComputerWithinSpotsSensor());
		addMeasure(new NumberOfShop2OutsideConnections());
		addMeasure(new NumberOfShopToSpotConnections());
	}


	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.SimulationApplication#getStationApplicationClass()
	 */
	public Class getStationApplicationClass()
	{
		return null;
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.SimulationListener#preIteration()
	 */
	public void preIteration()
	{
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.SimulationListener#postIteration()
	 */
	public void postIteration()
	{
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.SimulationListener#frequencyChanged()
	 */
	public void effectiveIterationFrequencyChanged()
	{
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.SimulationListener#stateChanged()
	 */
	public void stateChanged()
	{
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.SimulationListener#secondElapsed()
	 */
	public void secondElapsed()
	{
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.SimulationApplication#getName()
	 */
	public String getName()
	{
		return "mall_mobility_monitor";
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.SimulationApplication#resetIterationScopedValues()
	 */
	public void resetIterationScopedValues()
	{
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.SimulationApplication#getPublicName()
	 */
	public String getFriendlyName()
	{
		return "Mall mobility";
	}
}
