package org.lucci.madhoc.network.env.open_area.monitor;

import java.util.Collection;
import java.util.Vector;

import org.lucci.madhoc.simulation.Monitor;

/*
 * Created on May 25, 2005
 */

/**
 * @author luc.hogie
 */
public class RandomWaypointMonitor extends Monitor
{

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.Monitor#getSimulationApplicationViewClasses()
	 */
	public Collection<Class> getMonitorViewClasses()
	{
		Collection<Class> v = new Vector<Class>();
		v.add(RandomWaypointView.class);
		return v;
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.Monitor#getName()
	 */
	public String getName()
	{
		return "random_waypoint_mobility";
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.Monitor#getPublicName()
	 */
	public String getFriendlyName()
	{
		return "Random Waypoint Mobility";
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.Monitor#resetIterationScopedValues()
	 */
	public void resetIterationScopedValues()
	{
	}
}
