package madhoc.example;

import org.lucci.madhoc.messaging.TransferableObject;

public class TransferableByteArray extends TransferableObject
{
    private byte[] value;

    public Object clone()
    {
        TransferableByteArray clone = new TransferableByteArray();
        byte[] b = getValue();

        if (b != null)
        {
            clone.setValue(b.clone());
        }
        return clone;

    }

    public int getSizeInBytes()
    {
        return value != null ? value.length : 0;
    }

    public byte[] getValue()
    {
        return value;
    }

    public void setValue(byte[] value)
    {
        this.value = value;
    }
}
