package org.lucci.madhoc.broadcast.measure;

import org.lucci.madhoc.broadcast.BroadcastingMonitor;
import org.lucci.madhoc.simulation.measure.NaturalIntegerSensor;
import org.lucci.madhoc.simulation.measure.Unit;
import org.lucci.madhoc.simulation.projection.Projection;

/*
 * Created on Jul 2, 2004
 */

/**
 * @author luc.hogie
 */
public class NumberOfMessages extends NaturalIntegerSensor
{
	
	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.Measure#getName()
	 */
	public String getName()
	{
		return "number of msgs";
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.measure.NumericalMeasure#getUnit()
	 */
	public Unit getUnit()
	{
		return Unit.NUMBER_OF_MESSAGE;
	}

	/* (non-Javadoc)
	 * @see org.lucci.madhoc.simulation.measure.Measure#takeNewValue(org.lucci.madhoc.simulation.Simulation)
	 */
	public Integer takeNewIntegerValue(Projection projection)
	{
		return ((BroadcastingMonitor) getMonitor()).getObjects().size();
	}

}
