package org.lucci.madhoc.network.env.mall;

import java.util.Collection;
import java.util.HashSet;

import org.lucci.madhoc.network.Station;
import org.lucci.up.data.Point;

public class Spot
{
	private Collection<Station> surroundingStations = new HashSet<Station>();
	private double radius;
	private Point location;
	

	public double getRadius()
	{
		return radius;
	}

	public void setRadius(double d)
	{
		radius = d;
	}
	
	public Collection<Station> getStations()
	{
		return surroundingStations;
	}

	public Point getLocation()
	{
		return location;
	}
	public void setLocation(Point location)
	{
		if (location == null)
			throw new IllegalArgumentException();

		this.location = location;
	}
	
    public boolean include(Point point)
    {
        return point.getDistanceTo(getLocation()) < getRadius();
    }

}
